package ru.yandex.wmconsole.data.info;

import java.util.Date;

/**
 * @author ailyin
 */
public class DisplayNameInfo {
    private final long id;
    private final long hostId;
    private final String name;
    private final String displayName;
    private final Date requestDate;

    public DisplayNameInfo(long id, long hostId, String name, String displayName, Date requestDate) {
        this.id = id;
        this.hostId = hostId;
        this.name = name;
        this.displayName = displayName;
        this.requestDate = requestDate;
    }

    public long getId() {
        return id;
    }

    public long getHostId() {
        return hostId;
    }

    public String getName() {
        return name;
    }

    public String getDisplayName() {
        return displayName;
    }

    public Date getRequestDate() {
        return requestDate;
    }
}
